
addpath /Users/rickdale/matlab/CSM/

complxs = [];
save OOP_complxs.xls complxs -ascii -tabs;
for run=1:20,        
    rs = linspace(3.8,3.9,10); 
    tss = (rs>0)*rand; % start 'em all from a random beginning
    for i=1:21000, 
        if i<3000, % let it settle after 3000 iterations
            tss = [(1-tss(end,:)).*tss(end,:).*rs];
        else % start saving to a long vector
            tss = [tss ; (1-tss(end,:)).*tss(end,:).*rs];
        end
    end
    
    for r = rs,
        [run r]
        
        for wsz=[0:4],

            ts = tss(:,rs==r); % get time series for this r value
            ts = (ts>.5)*1; % partition                               
                        
            newts = [];
            i = 1;
            while length(newts)<250,
                newts = [newts mean(ts(i:i+wsz))]; % skipping window
                i = i+wsz+1;
            end
            ts = (newts>.5)*1; % which has more 1's? make 'em 1
            
            if mean(ts)<=.9 && mean(ts)>=.1, % make sure there is representation of the full alphabet
                [stateseq, symseq, prob, numstates] = CSSR(ts, [0 1], 4, .05, ['test'], [0 0 1 1 1 1 1 1 0]);
                fn = ['testL4_Metrics.txt'];
                fo = fopen(fn,'r');
                if (fo>0),
                    [a b] = textread(fn,'%s %f','delimiter',':'); % get statistical complexity
                    complxs = [complxs ; run r wsz b(1) b(2)]; % and entropy
                    system(['cp testL4Final1dot.dot OOP_dots/run-' int2str(run) '-r-' num2str(r) '-w-' int2str(wsz) '.dot']);
                    system('ls');
                    system('rm -f testL4*');
                    fclose(fo);
                end       
            end            
        end        
    end
    save OOP_complxs.xls complxs -ascii -tabs -append;
    clearvars -except run;
    complxs = [];
end